# Welcome to MARTINS.js!

<iframe src="https://ghbtns.com/github-btn.html?user=alemart&repo=martins-js&type=star&count=true&size=large" frameborder="0" scrolling="0" width="170" height="30" title="GitHub"></iframe> <iframe src="https://ghbtns.com/github-btn.html?user=alemart&repo=martins-js&type=watch&count=true&size=large&v=2" frameborder="0" scrolling="0" width="170" height="30" title="GitHub"></iframe>

**MARTINS.js** is a GPU-accelerated Augmented Reality engine for the web. It's a standalone WebAR technology for creating AR experiences that run in web browsers. Users don't need specialized hardware nor dedicated software - only a modern and compatible web browser.

[Learn WebAR](./introduction.md){ .md-button .md-button--primary } [Try a demo](../demo/instructions.md){ .md-button }

## Features

Currently supported features:

* **Image tracking**, also known as natural feature tracking. Use it to track detailed images such as: book covers, cartoons and photos.

![WebAR demo](../img/demo-aframe.gif) ![WebAR demo](../img/demo-hello.gif)

## Why use MARTINS.js?

Here is why MARTINS.js is a great choice for creating Augmented Reality experiences:

* **No need to download apps!** MARTINS.js is a WebAR engine. It runs in web browsers. Users can access the AR experience immediately.
* **Fast and powerful!** MARTINS.js is GPU-accelerated. It uses WebGL2 and WebAssembly for turbocharged performance.
* **No need of custom hardware or software!** MARTINS.js is built from scratch using standard web technologies. All it requires is a modern and compatible web browser.
* **Fully standalone!** MARTINS.js has in it everything it needs to analyze the environment and help you create AR. There are no additional requirements. It's not WebXR.
* **Easy to get started!** MARTINS.js can be used with a `<script>` tag in your page. A static HTML page is enough to get started.

## Browser compatibility

MARTINS.js is currently compatible with the latest versions of almost all major web browsers:

| Chrome | Edge | Firefox | Opera | Safari |
|:------:|:----:|:-------:|:-----:|:------:|
| :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | :heavy_check_mark: | - |

At the time of this writing, Safari is not yet compatible. MARTINS.js requires WebGL2 and WebAssembly.

## Author

MARTINS.js is developed by me, [Alexandre Martins](https://github.com/alemart){ ._blank }, a computer scientist from Brazil. This project is dual-licensed. The Free Edition, available to everyone, is licensed under the [AGPL 3.0](../license/agpl-3.0.md). The Professional Edition, available to my supporters, is licensed under the [Polyform Perimeter 1.0.0](../license/PolyForm-Perimeter-1.0.0-1.md).

[:heart:{ .heart } Support my work](../support-my-work.md){ .md-button }